xmlgraphics-fop-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeremias Maerki <...@jeremias-maerki.ch>
Subject Re: Warning : ...serialVersionUID = 605232520271754717 [fop0.94]
Date Thu, 05 Mar 2009 09:35:29 GMT
You can safely ignore this. This happens if you upgrade your FOP version
or your frequently run different FOP versions (I get this often as a FOP
developer). It just says that the font cache file written by FOP is not
compatible due to a code change inside FOP. The contents are simply
discarded and rebuilt. This message would only be troublesome if it
basically appears the whole time.

On 05.03.2009 10:28:01 fabio@nè wrote:
> 
> Hi,
> I have an application that works in fop0.94.
> After a lot of time time, I executed fop to create a pdf and the process
> writed the following warning:
> I/O exception while reading font cache (org.apache.fop.fonts.FontCache;
> local class incompatible: stream classdesc serialVersionUID =
> 605232520271754718, local class serialVersionUID = 605232520271754717).
> Discarding font cache file.
> 
> The pdf is created correctly. 
> Is this warning a problem? How can I resolve it?
> 
> Best Regards
> Fabio
> -- 
> View this message in context: http://www.nabble.com/Warning-%3A-...serialVersionUID-%3D-605232520271754717--fop0.94--tp22348006p22348006.html
> Sent from the FOP - Users mailing list archive at Nabble.com.



Jeremias Maerki


---------------------------------------------------------------------
To unsubscribe, e-mail: fop-users-unsubscribe@xmlgraphics.apache.org
For additional commands, e-mail: fop-users-help@xmlgraphics.apache.org


Mime
View raw message